/**
 * Fade in fade out article title
 *
 * @package 	Fade in fade out article title
 * @subpackage 	Fade in fade out article title
 * @version   	3.3
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/06/vertical-scroll-recent-article-joomla-module/
 */
 
var fifopost_FadeInterval;

window.onload = fifopost_FadeRotate

var fifopost_Links;
var fifopost_Titles;
var fifopost_Cursor = 0;
var fifopost_Max;

function fifopost_FadeRotate() 
{
	fifopost_FadeInterval = setInterval(fifopost_Ontimer, 25);
	fifopost_Links = new Array();
	fifopost_Titles = new Array();
	fifopost_SetFadeLinks();
	fifopost_Max = fifopost_Links.length-1;
	fifopost_SetFadeLink();
}

function fifopost_SetFadeLink() 
{
	var ilink = document.getElementById("fifopost_Link");
	ilink.innerHTML = fifopost_Titles[fifopost_Cursor];
	ilink.href = fifopost_Links[fifopost_Cursor];
}

function fifopost_Ontimer() {
  if (fifopost_bFadeOutt) {
    fifopost_Fade+=fifopost_FadeStep;
    if (fifopost_Fade>fifopost_FadeOut) {
      fifopost_Cursor++;
      if (fifopost_Cursor>fifopost_Max)
        fifopost_Cursor=0;
      fifopost_SetFadeLink();
      fifopost_bFadeOutt = false;
    }
  } else {
    fifopost_Fade-=fifopost_FadeStep;
    if (fifopost_Fade<fifopost_FadeIn) {
      clearInterval(fifopost_FadeInterval);
      setTimeout(Faderesume, fifopost_FadeWait);
      fifopost_bFadeOutt=true;
    }
  }
  var ilink = document.getElementById("fifopost_Link");
  if ((fifopost_Fade<fifopost_FadeOut)&&(fifopost_Fade>fifopost_FadeIn))
    ilink.style.color = "#" + ToHex(fifopost_Fade);
}

function Faderesume()
{
	fifopost_FadeInterval = setInterval(fifopost_Ontimer, 25);
}

function ToHex(strValue) 
{
  try 
  {
    var result= (parseInt(strValue).toString(16));

    while (result.length !=2)
            result= ("0" +result);
    result = result + result + result;
	//alert(result);
    return result.toUpperCase();
  }
  catch(e)
  {
  }
}